Subject: Re: bug#41821: 28.0.50; read-directory-name in vc commands should provide defaults from projects

From: Dmitry Gutov <[email-masked]>
Date: Thu, 25 Jun 2020 14:19:16 +0300

On 25.06.2020 02:25, Juri Linkov wrote:
>> The alternative would be to introduce some separate history-keeping feature
>> for the cases when VC code needs to ask the user to point to
>> a VC repository.
> It wouldn't be rational to duplicate this feature.
> Rather I think the project-list should be updated
> even on using vc commands such as 'C-x v d', i.e.
> project and vc should be more tightly integrated.

That would mean opening the project history storage to outside packages. 
I don't know.

To be honest, I almost never experience the problem this bug was fixing. 
Before requesting revision log, I'm almost always already in some 
project buffer.